lv.lumii.layoutengine

## Class ArrangeData.FlowData

- java.lang.Object
- - lv.lumii.layoutengine.ArrangeData
  - - lv.lumii.layoutengine.ArrangeData.FlowData

- Enclosing class:
    ArrangeData

      public static class ArrangeData.FlowData
      extends ArrangeData

  Flow arrange style data.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ArrangeData.FlowData.Direction` The direction of the flow.

    - ### Nested classes/interfaces inherited from class lv.lumii.layoutengine.ArrangeData

      `ArrangeData.ArrangeStyle, ArrangeData.FlowData, ArrangeData.InheritedData, ArrangeData.NoneData, ArrangeData.SpringEmbeddedData, ArrangeData.UniversalData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowData(Container owner, ArrangeData.FlowData.Direction flowDirection)` Creates a new flow arrange style data.
    `FlowData(Container owner, ArrangeData.FlowData.Direction flowDirection, boolean flowLevels)` Creates a new flow arrange style data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrangeData.FlowData.Direction` | `getFlowDirection()` Returns the current direction of the flow.
    `boolean` | `isFlowLevels()`
    `void` | `setFlowDirection(ArrangeData.FlowData.Direction flowDirection)` Sets the direction of the flow.
    `void` | `setFlowLevels(boolean flowLevels)`

    - ### Methods inherited from class lv.lumii.layoutengine.ArrangeData

      `getUsedData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowData

          public FlowData(Container owner,
                          ArrangeData.FlowData.Direction flowDirection)

      Creates a new flow arrange style data.
      Parameters:
        `owner` - the container the data corresponds to
        `flowDirection` - the flow direction

    - #### FlowData

          public FlowData(Container owner,
                          ArrangeData.FlowData.Direction flowDirection,
                          boolean flowLevels)

      Creates a new flow arrange style data.
      Parameters:
        `owner` - the container the data corresponds to
        `flowDirection` - the flow direction
        `flowLevels` - should flow be placed on levels

  - ### Method Detail

    - #### setFlowDirection

          public void setFlowDirection(ArrangeData.FlowData.Direction flowDirection)

      Sets the direction of the flow.
      Parameters:
        `flowDirection` - the new direction of the flow

    - #### getFlowDirection

          public ArrangeData.FlowData.Direction getFlowDirection()

      Returns the current direction of the flow.
      Returns:
        the current direction of the flow.

    - #### isFlowLevels

          public boolean isFlowLevels()

    - #### setFlowLevels

          public void setFlowLevels(boolean flowLevels)